module.exports = function(grunt) {

    // Project configuration.
    grunt.initConfig({
        pkg: grunt.file.readJSON( 'package.json' ),

        // Tasks here
        version: {
            control: {
                options: {
                    prefix: 'Version: '
                },
                src: [ 'control' ],
            },
           python: {
                options: {
                    prefix: '__version__\\s*=\\s*\"'
                },
                src: [ 'src/*.py' ],
            }
        },
    });

    // Load all grunt plugins here
    grunt.loadNpmTasks('grunt-version');

    // Bump version task
    grunt.registerTask( 'bump', [ 'version' ]);

    // Release task
    grunt.registerTask( 'release', [ 'version', 'gitcommit', 'gittag', 'gitpush' ]);

};
